%global momorel 1

Summary: GNOME CUPS Manager
Name: gnome-cups-manager

Version: 0.33
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://www.gnome.org/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.33/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: intltool
BuildPrereq: samba-common
BuildPrereq: glib2-devel
BuildPrereq: libgnomeui-devel
BuildPrereq: libgnome-devel
BuildPrereq: libglade2-devel
BuildPrereq: libbonobo-devel
BuildPrereq: libgnomecups-devel
BuildPrereq: gnome-keyring-devel
BuildPrereq: gtk2-devel

%description
GNOME CUPS Manager

%package devel
Summary: GNOME CUPS Manager devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
GNOME CUPS Manager devel

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" -delete
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_bindir}/gnome-cups-*
%{_sbindir}/gnome-cups-switch
%{_libdir}/libgnomecupsui-1.0.so.*
%{_libdir}/bonobo/servers/Gnome_CupsManager.server
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%exclude %{_datadir}/icons/hicolor/48x48/stock/data
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/applications/gnome-cups-manager.desktop

%files devel
%defattr(-, root, root)
%{_includedir}/libgnomecups-1/libgnomecups/*.h
%{_libdir}/libgnomecupsui-1.0.a
%{_libdir}/libgnomecupsui-1.0.so
%{_libdir}/pkgconfig/libgnomecupsui-1.0.pc

%changelog
* Fri Apr  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.33-1m)
- update to 0.33
- delete patch0 (merged)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.31-3m)
- rebuild against gcc43

* Tue Feb 12 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.31-2m)
- add gcc43 patch

* Fri Feb 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.31-1m)
- initial build
